IMAPD(8)

NAME
imapd - IMAP server process

SYNOPSIS
imapd [ -p ssf ]

DESCRIPTION
Imapd is an IMAP4rev1 server. It accepts commands on its standard input and responds on its standard output. It is normally invoked by inetd(8) with those descriptors attached to a remote client connection.

Imapd reads its configuration options out of the imapd.conf(5) file.

If the file msg/shutdown is created under the directory specified in the configdirectory configuration option, then imapd will shut down the connection, sending the first line contained in the file to the client as the reason. New connections are denied.

If the file msg/motd is created under the directory specified in the configdirectory configuration option, then imapd will send the first line contained in the file to clients upon connect as an ALERT message which IMAP-compliant clients are required to display. This option serves to annoy users mostly. Unfortunately clients tend to connect far more frequently than is apparent, causing each connection to generate a seperate server ALERT for each connection. Many clients do not display these properly, if they do anything with them at all.

If the directory log/user exists under the directory specified in the configdirectory configuration option, then imapd will create protocol telemetry logs for sessions authenticating as user. The telemetry logs will be stored in the log/user directory with a filename of the imapd process-id.

OPTIONS

-p ssf
    Tell imapd that an external layer exists. An SSF (security strength factor) of 1 means an integrity protection layer exists. Any higher SSF implies some form of privacy protection.

FILES

/etc/imapd.conf